API ReferenceChat Message
Mark topic as read
Mark topic as read
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
topicId*string
AssignedChatTopicUser identifier
Format
uuiduserId*string
AssignedChatTopicUser identifier
Format
uuidThe new AssignedChatTopicUser resource
TypeScript Definitions
Use the request body type in TypeScript.
id?string
chatTopic?string
Format
iri-referencechatUser?string
Format
iri-referencelastReadMessage?|
Format
iri-referencelastReadAt?|
Format
date-timecreatedAt?string
Format
date-timemutedUntil?|
Format
date-timeisMutedIndefinitely?boolean
isUnread?boolean
Default
falseResponse Body
curl -X POST "https://example.com/chat/chat-topics/497f6eca-6276-4993-bfeb-53cbbbba6f08/chat-users/497f6eca-6276-4993-bfeb-53cbbbba6f08/read-topic" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "chatUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }, "lastReadMessage": "75d29bd6-43f8-4417-8784-e9c4267edf6b", "lastReadAt": "2019-08-24T14:15:22Z", "mutedUntil": "2019-08-24T14:15:22Z", "isMutedIndefinitely": true, "isTopicOwner": false, "isUnread": true, "createdAt": "2019-08-24T14:15:22Z"}